summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author CCHsu <a12321aabb@gmail.com>2017-01-09 20:57:39 +0700
committer David Spencer <idlemoor@slackbuilds.org>2017-01-09 20:18:25 +0000
commitab838742fcbc6684cbacca077ccd27b614ce39ec (patch)
tree84a745ae384af193f8ae0225e4daf96b79ffba4c
parent77000491a61990585e23090ef0342183718c4c55 (diff)
downloadslackbuilds-ab838742fcbc6684cbacca077ccd27b614ce39ec.tar.gz
slackbuilds-ab838742fcbc6684cbacca077ccd27b614ce39ec.tar.xz
academic/matio: Added (MAT File I/O Library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--academic/matio/README8
-rw-r--r--academic/matio/matio.SlackBuild102
-rw-r--r--academic/matio/matio.info10
-rw-r--r--academic/matio/slack-desc19
4 files changed, 139 insertions, 0 deletions
diff --git a/academic/matio/README b/academic/matio/README
new file mode 100644
index 0000000000..10de71c093
--- /dev/null
+++ b/academic/matio/README
@@ -0,0 +1,8 @@
+Matio is an open-source C library for reading and writing binary MATLAB
+MAT files.
+This library is designed for use by programs/libraries that do not have
+access or do not want to rely on MATLAB's shared libraries.
+
+Note that HDF5 version provided in Slackbuild.org is 1.8.x;
+if you install 1.10.x, you can consider modified the configure option
+in the build script.
diff --git a/academic/matio/matio.SlackBuild b/academic/matio/matio.SlackBuild
new file mode 100644
index 0000000000..899061e0b6
--- /dev/null
+++ b/academic/matio/matio.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for matio
+
+# Copyright 2017 CCHsu Taiwan
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=matio
+VERSION=${VERSION:-1.5.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+rm -rf $PKG/usr/share/info/
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/matio/matio.info b/academic/matio/matio.info
new file mode 100644
index 0000000000..a10b48a397
--- /dev/null
+++ b/academic/matio/matio.info
@@ -0,0 +1,10 @@
+PRGNAM="matio"
+VERSION="1.5.9"
+HOMEPAGE="https://sourceforge.net/projects/matio/"
+DOWNLOAD="https://sourceforge.net/projects/matio/files/matio/1.5.9/matio-1.5.9.tar.gz"
+MD5SUM="aab5b4219a3c0262afe7eeb7bdd2f463"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="hdf5"
+MAINTAINER="CCHsu"
+EMAIL="a12321aabb@gmail.com"
diff --git a/academic/matio/slack-desc b/academic/matio/slack-desc
new file mode 100644
index 0000000000..dad419a9cc
--- /dev/null
+++ b/academic/matio/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+matio: matio (MAT File I/O Library)
+matio:
+matio: matio is an C library for reading and writing MATLAB MAT files.
+matio: This library is designed for use by programs/libraries that do not
+matio: have access or do not want to rely on MATLAB's shared libraries.
+matio:
+matio: It is licensed under a Simplified BSD license.
+matio:
+matio: Homepage: https://sourceforge.net/projects/matio/
+matio:
+matio: